import Cocoa

let startTag = "<title>"
let endTag = "</title>"
var pageTitle = ""
var htmlSource = "Html Quelltext <title>Meine Webseite</title> Mehr Html Quelltext"

var startRange = htmlSource.rangeOfString(startTag, options: NSStringCompareOptions.CaseInsensitiveSearch)
if startRange != nil
{
    // Text nach dem öffnenden Tag extrahieren
    pageTitle = htmlSource.substringFromIndex(startRange!.endIndex)
    
    var endRange = pageTitle.rangeOfString(endTag, options: NSStringCompareOptions.CaseInsensitiveSearch)
    if endRange != nil
    {
        // Text bis zm schließenden Tag freistellen
        pageTitle = pageTitle.substringToIndex(endRange!.startIndex)
    }
}

print(pageTitle)


var myProfession = "Ich bin Softwareentwickler."
// Eine Range anlegen, die den gesamten String beinhaltet
var myRange = myProfession.characters.indices

// Wie lang ist der Bereich von start bis end?
var lengthOfString = myRange.startIndex.distanceTo(myRange.endIndex)

print("Die Range ist \(lengthOfString) Zeichen lang.")

// Die Zeichen zählen können wir auch mit count
var charCount = myProfession.characters.count
print("Die Range ist \(charCount) Zeichen lang.")


// Das ist ein String
var x1 = "X"
// Das ist ein Character
var x2: Character = "X"

var earth = "\u{1F30D}"
var planet = "Earth \u{1F30D}"

// Ein Bereich über dem gesammten String
var planetRange = planet.characters.indices
// Das erste Zeichen der Zeichenkette
var planetFirst = planet[planetRange.startIndex]

//var planetLast = planet[planetRange.endIndex]

var offset = 6
// Eine Position, sechs Zeichen entfernt vom StartIndex
var stringIndex = planetRange.startIndex.advancedBy(offset)
var symbol:Character = planet[stringIndex]


var blindText
= "Franz jagt im komplett verwahrlosten Taxi quer durch Bayern."
var blindRange = blindText.characters.indices

// Der Text zwischen den Positionen 23 und 35
var substring
= blindText[blindRange.startIndex.advancedBy(23)
    ... blindRange.startIndex.advancedBy(35)]

var demoText
= "Falsches Üben von Xylophonmusik quält jeden größeren Zwerg."
// Die ersten acht Zeichen
var pre = String(demoText.characters.prefix(8))
// Die letzten sieben Zeichen
var sub = String(demoText.characters.suffix(7))

var xylophon = "Xylophonmusik"
var firstChar:Character? = xylophon.characters.first
var lastChar:Character? = xylophon.characters.last

// Das erste Zeichen entfernen
var firstDroped = String(xylophon.characters.dropFirst())
// Das letzte Zeichen entfernen
var lastDroped = String(xylophon.characters.dropLast())


var reform =  "reChtSchreiBrEforM"
var firstChr = reform.characters.first
reform = String(reform.characters.dropFirst())
// Zeichenkette neu zusammensetzen
reform = "\(String(firstChr!).uppercaseString)"
    + "\(reform.lowercaseString)"

